#!/usr/bin/env python3

from flask import Flask, render_template, request, redirect, jsonify
import sys
import time
import threading

app = Flask(__name__)

class Args:
    def __init__(self, webpage='dil5', port='80'):
        self.webpage = webpage
        self.port = int(port)
        print(self.webpage, self.port)

args = Args(*sys.argv[1:])


@app.route('/')
def index():
    return render_template(f'{args.webpage}.html', svg_ui=f'{args.webpage}.svg')

if __name__ == '__main__':
    app.run(host="0.0.0.0", port=args.port, debug=True)
